// kvadar4.h - Klasa kvadara.

#ifndef _kvadar4_h_
#define _kvadar4_h_

#include "proizvod.h"

namespace Fabrika {
  class Kvadar: public Proizvod {
    double a, b, c;                              // Dimenzije kvadra.
    void pisi (ostream& d) const                 // Pisanje kvadra.
      { Proizvod::pisi (d); d << '(' << a << ',' << b << ',' << c << ')'; }
  public:
    enum { VR = 'K' };                           // Oznaka vrste proizvoda.
    Kvadar (double aa, double bb, double cc)     // Inicijalizacija.
      { a = aa; b = bb; c = cc; }
    char vrsta () const { return VR; }           // Vrsta proizvoda.
    double operator+ () const { return a*b*c; }  // Zapremina.
  }; // class Kvadar
} // namespace Fabrika

#endif

