// naredba.h - Klasa apstraktnih naredbi.

#ifndef _naredba_h_
#define _naredba_h_

#include <iostream>
#include <iomanip>
using namespace std;

namespace Naredbe {
  class Naredba {
  public:
    virtual ~Naredba () {}                 // Virtuelni destruktor.
    virtual void operator! () const =0;    // Izvrsavanje.
    virtual Naredba* kopija () const =0;   // Dinamicka kopija.
  protected:
    static int nivo;                       // Nivo naredbe pri pisanju.
    virtual void pisi (ostream& dat) const // Pisanje.
      { dat << setw (nivo*2) << ""; }
    friend ostream& operator<< (ostream& dat, const Naredba& nar)
      { nar.pisi (dat); return dat; }
  }; // class Naredba
} // namespace Naredbe

#endif
