// veriz.C - Metode klase veriznih razlomaka.

#include "veriz.h"

Veriz::Veriz (int n): a (n)                 // Stvaranje razlomka.
  { for (int i=0; i<n; i++) a[i] = i+1; }

void Veriz::pisi (ostream& d) const {       // Pisanje.
  d << "Veriz[";
  for (int i=0; i<+a; i++) { d << a[i]; if (i < +a-1) cout << ','; }
  d << ']';
}

double Veriz::operator() (double x) const { // Vrednost funkcije.
  double s = 0;
  for (int i=+a-1; i>=0; i--) {
    if (x + s == 0) throw 0;
    s = a[i] / (x + s);
  }
  return s;
}
