// zbirka.h - Klasa apstraktnih zbirki apstraktnih predmeta.

#ifndef _zbirka_h_
#define _zbirka_h_

#include "predmet2.h"

namespace Zbirke {
  class GIndeks {};  // GRESKA: Indeks izvan opsega.

  class Zbirka {
  public:
    virtual ~Zbirka () {}                        // Virtuelni destruktor.
    virtual const char* vrsta () const =0;       // Ime vrste zbirke.
    virtual int operator+ () const =0;           // Broj predmeta u zbirci.
    virtual Zbirka& operator+= (const Predmet& p) =0; // Dodavanje predm.
    virtual Predmet*& operator[] (int i) =0;     // Dohvatanje elementa
    virtual const Predmet* operator[] (int i) const =0; //   (pokazivaca!).
    virtual Zbirka& operator~ () =0;             // Praznjenje zbirke.
    friend ostream& operator<< (ostream& d, const Zbirka& z); // Pisanje.
  };
} // namespace

#endif
