// figura2t.C - Ispitivanje klasa figura u prostoru.

#include "tacka6.h"
#include "mnogoug.h"
#include <iostream>
using namespace std;

int main () {
  try {
    cout << "Broj figura? "; int n; cin >> n;
    Figura** niz = new Figura* [n];
    for (int i=0; i<n; ) {
      cout << "Vrsta (T, M)? "; char vrs; cin >> vrs;
      switch (vrs) {
      case 't': case 'T': {
        double x, y, z; cout << "Koordinate tacke? "; cin >> x >> y >> z;
        niz[i++] = new Tacka (Vektor (x, y, z));
        break;
      }
      case 'm': case 'M': {
        cout << "Broj temena? "; int n; cin >> n;
        Mnogoug* m (new Mnogoug (n));
        for (int i=0; i<n; i++) {
          cout << "Koordinate temena " << i << "? ";
          double x, y, z; cin >> x >> y >> z;
          (*m)[i] = Vektor (x, y, z);
        }
        niz[i++] = m;
        break;
      }
      default: cout << "*** Neispravan izbor!\n";
      }
    }
    cout << "\nProcitano:\n";
    for (int i=0; i<n; cout<<*niz[i++]<<endl);
    double min = +!*niz[0]; int imin = 0;
    for (int i=1; i<n; i++)
      if (+!*niz[i] < min) { min = +!*niz[i]; imin = i; }
    cout << "\nNajblize=" << *niz[imin]
         << " teziste=" << !*niz[imin] << endl;
    Vektor pomak = !*niz[imin] * -1;
    for (int i=0; i<n; *niz[i++]+=pomak);
    cout << "\nPomereno:\n";
    for (int i=0; i<n; cout<<*niz[i++]<<endl);
  } catch (...) { cout << "*** Neocekivana greska!\n"; }
}
