// lista4.C - Metode i funkcije uz klasu neuredjenih listi.

#include "lista4.h"

void NLista::kopiraj (const NLista& lst) {       // Kopiranje druge liste.
  prvi = posl = 0; duz = 0;
  for (Elem* tek=lst.prvi; tek; tek=tek->sled) *this += tek->broj;
}

void NLista::brisi () {                          // Praznjenje liste.
  while (prvi) { Elem* stari = prvi; prvi = prvi->sled; delete stari; }
  posl = 0; duz = 0;
}

NLista& NLista::operator+= (const NLista& lst) { // Dodavanje liste.
  if (this == &lst)
    *this += NLista (lst);   // lst += lst
  else 
    for (Elem* tek=lst.prvi; tek; tek=tek->sled) *this += tek->broj;
  return *this;
}

ostream& operator<< (ostream& d, const NLista& lst) { // Pisanje.
  d << '(';
  for (NLista::Elem* tek=lst.prvi; tek; tek=tek->sled)
    { d << tek->broj; if (tek->sled) d << ','; }
  return d << ')';
}
