// poligon.h - Klasa poligona u ravni.

#ifndef _poligon_h_
#define _poligon_h_

#include "izlomljena.h"

namespace Linije {
  class Poligon: public Izlomljena {
  public:
    Poligon (const Tacka* niz, int k)     // Inicijalizacija nizom tacaka.
      : Izlomljena (niz, k) {}
    double operator+ () const                         // Duzina.
      { return Izlomljena::operator+() + +Duz(tem[0], tem[n-1]); }
    Poligon* kopija () const                          // Dinamicka kopija.
      { return new Poligon (*this); }
  private:
    virtual void pisi (ostream& dat) const {          // Pisanje.
      Linija::pisi (dat); dat << "[poligon: ";
      Tacka::pisiNiz (dat, tem, n); dat <<']';
    }
  };
}

#endif
