// racbroj.C - Metode i funkcije uz klasu racionalnih brojeva.

#include "racbroj.h"
#include <cstdlib>
using namespace std;

namespace Aritmetika {
  long RacBroj::nzd (long a, long b) {    // Najveci zajednicki delilac.
    while (b != 0) { long c = a % b; a = b; b = c; }
    return a;
  }

  istream& operator>> (istream& d, RacBroj& r) {       // Citanje.
    long a, b = 1; d >> a;
    if (d.peek() == '/') { d.get (); d >> b; }
    r = RacBroj (a, b); return d;
  }

  ostream& operator<< (ostream& d, const RacBroj& r) { // Pisanje.
    char t[30];
    int k = sprintf (t, "%ld", r.x);
    if (r.y != 1) { sprintf (t+k, "/%ld", r.y); }
    return d << t;
  }
}
