// recnik.cpp - Metode i funkcije uz klasu recnika.

#include "recnik.h"

// Pisanje svih prevoda reci.
void Recnik::pisiPrevode (ostream& dat, const string& rec) const {
  map<string, set<string> >::const_iterator i = niz.find (rec);
  if (i != niz.end()) {
    for (set<string>::const_iterator j=i->second.begin();
         j!=i->second.end(); j++) {
      if (j != i->second.begin()) dat << ", ";
      dat << *j;
    }
  }
}

// Pisanje sadrzaja recnika.
ostream& operator<< (ostream& dat, const Recnik& recnik) {
  for (map<string,set<string> >::const_iterator i=recnik.niz.begin();
       i!=recnik.niz.end(); i++) {
    dat << i->first << ": ";
    for (set<string>::const_iterator j=i->second.begin();
         j!=i->second.end(); j++) {
      if (j != i->second.begin()) dat << ", ";
      dat << *j;
    }
    dat << '.' << endl;
  }
  return dat;
}
