//  telo.h - Klasa apstraktnih tela.

#ifndef _telo_h_
#define _telo_h_

#include "predmet3.h"

namespace Predmeti {
  class Telo: public Predmet {
    double sigma;                                // Specificna tezina.
  public:
    Telo (double s=1) { sigma = s; }             // Stvaranje.
    double spTez () const { return sigma; }      // Specificna tezina.
    double Q () const { return sigma * V (); }   // Tezina.
  protected:
    void pisi (ostream& d) const                 // Pisanje.
      { Predmet::pisi (d); d << '(' << sigma << ';'; }
  }; // class Telo
} // namespace Predmeti

#endif