// zbirfun.C - Metode klase zbirova funkcija.

#include "zbirfun.h"

namespace Izvodi {
  void ZbirFun::pisi (ostream& d) const {       // Pisanje.
    for (int i=0; i<duz; i++) {
      if (i) d << '+';
      d << '(' << *niz[i] << ')';
    }
  }

  void ZbirFun::kopiraj (const ZbirFun& z) {    // Kopiranje u objekat.
    niz = new Fun* [kap = z.kap];
    duz = z.duz;
    for (int i=0; i<duz; i++) niz[i] = z.niz[i]->kopija ();
  }

  void ZbirFun::brisi () {                      // Oslobadjanje memorije.
    for (int i=0; i<duz; delete niz[i++]);
    delete [] niz;
  }

  double ZbirFun::operator() (double x) const { // Racunanje vrednosti.
    double s = 0;
    for (int i=0; i<duz; s+=(*niz[i++])(x));
    return s;
  }

  PFun ZbirFun::operator! () const {            // Stvaranje izvoda.
    ZbirFun *z = new ZbirFun (kap);
    for (int i=0; i<duz; *z += !*niz[i++]);
    return PFun (z);
  }
} // namespace Izvodi
